﻿Option Strict On
Imports Microsoft.Devices.Sensors
Partial Public Class MainPage
    Inherits PhoneApplicationPage

    ' Constructor
    Public Sub New()
        InitializeComponent()
    End Sub
    Dim myAccelerometer As New Accelerometer
    Private Sub MainPage_Loaded(sender As Object, e As System.Windows.RoutedEventArgs) Handles MyBase.Loaded
        AddHandler myAccelerometer.ReadingChanged, Sub(senderValue As Object, eValue As AccelerometerReadingEventArgs)
                                                       Deployment.Current.Dispatcher.BeginInvoke(Sub() MyReadingChanged(eValue)) '別スレッドから呼び出されるイベントであるため、BeginInvokeでMyReadingChangedプロシジャを実行する。
                                                   End Sub
        myAccelerometer.Start()
    End Sub

    Private Sub MyReadingChanged(resultE As AccelerometerReadingEventArgs)
        myPlainProjection.RotationX = resultE.X * 1000
        myPlainProjection.RotationY = resultE.Y * 1000
        myPlainProjection.RotationZ = resultE.Z * 1000
    End Sub

    Private Sub MainPage_Unloaded(sender As Object, e As System.Windows.RoutedEventArgs) Handles MyBase.Unloaded
        myAccelerometer.Stop()
        myAccelerometer = Nothing
    End Sub
End Class
